## plasma-desktop 5.14.5.1

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.0)

project(plasma-desktop)

set(PROJECT_VERSION "5.14.5")
set(PROJECT_VERSION_MAJOR 5)

set(QT_MIN_VERSION "5.11.0")
set(KF5_MIN_VERSION "5.50.0")

find_package(ECM ${KF5_MIN_VERSION} REQUIRED NO_MODULE)
set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH} ${ECM_KDE_MODULE_DIR} ${CMAKE_CURRENT_SOURCE_DIR}/cmake/modules)

include(KDEInstallDirs)
include(KDECMakeSettings)
include(KDECompilerSettings NO_POLICY_SCOPE)
include(ECMInstallIcons)
include(ECMMarkAsTest)
include(ECMMarkNonGuiExecutable)
include(ECMOptionalAddSubdirectory)
include(ECMQtDeclareLoggingCategory)
include(FeatureSummary)
include(CheckIncludeFiles)

find_package(Qt5 ${QT_MIN_VERSION} CONFIG REQUIRED COMPONENTS
    Quick
    QuickWidgets
    DBus
    Widgets
    X11Extras
    Svg
    Concurrent
)

find_package(KF5 ${KF5_MIN_VERSION} REQUIRED COMPONENTS
    Auth
    Plasma
    PlasmaQuick
    DocTools
    I18n
    KCMUtils
    NewStuff
    KDELibs4Support
    Notifications
    NotifyConfig
    Attica
    Wallet
    Runner
    GlobalAccel
    Declarative
    People
    DBusAddons
    Activities
    ActivitiesStats
    Config
)

find_package(LibKWorkspace CONFIG REQUIRED)
find_package(LibTaskManager CONFIG REQUIRED)
find_package(LibColorCorrect CONFIG REQUIRED)
find_package(KWinDBusInterface CONFIG REQUIRED)
find_package(ScreenSaverDBusInterface CONFIG REQUIRED)
find_package(KRunnerAppDBusInterface CONFIG REQUIRED)
find_package(KSMServerDBusInterface CONFIG REQUIRED)
find_package(KF5ItemModels CONFIG REQUIRED)
find_package(KF5Emoticons CONFIG REQUIRED)

find_package(AppStreamQt 0.10.4)
set_package_properties(AppStreamQt PROPERTIES DESCRIPTION "Appstream integration"
                       TYPE RECOMMENDED
                       PURPOSE "Needed to allow appstream integration from application menus"
                      )
find_package(KF5Baloo 5.15)
set_package_properties(KF5Baloo PROPERTIES DESCRIPTION "File Searching"
                       TYPE RECOMMENDED
                       PURPOSE "Needed to build the File Search KCM"
                      )

find_package(Fontconfig)
set_package_properties(Fontconfig PROPERTIES DESCRIPTION "Font access configuration library"
                       URL "http://www.freedesktop.org/wiki/Software/fontconfig"
                       TYPE OPTIONAL
                       PURPOSE "Needed to build font configuration and installation tools"
                      )

find_package(X11)
set_package_properties(X11 PROPERTIES DESCRIPTION "X11 libraries"
                        URL "http://www.x.org"
                        TYPE REQUIRED
                        PURPOSE "Required for building the X11 based workspace"
                      )

find_package(UDev)
set_package_properties(UDev PROPERTIES DESCRIPTION "UDev library"
                        URL "http://www.kernel.org/pub/linux/utils/kernel/hotplug/udev.html"
                        TYPE OPTIONAL
                        PURPOSE "Required for device discovery in keyboard daemon"
                      )

find_package(XCB
    REQUIRED COMPONENTS
        XCB SHM IMAGE
    OPTIONAL_COMPONENTS
        XKB XINPUT
)

set_package_properties(XCB PROPERTIES TYPE REQUIRED)
add_feature_info("XCB-XKB" XCB_XKB_FOUND "Required for building kcm/keyboard")
add_feature_info("libxft" X11_Xft_FOUND "X FreeType interface library required for font installation")

find_package(Evdev)
set_package_properties(Evdev PROPERTIES TYPE OPTIONAL)
add_feature_info("Evdev" EVDEV_FOUND "Evdev driver headers needed for mouse KCM")

find_package(Synaptics)
set_package_properties(Synaptics PROPERTIES TYPE OPTIONAL)
add_feature_info("Synaptics" SYNAPTICS_FOUND "Synaptics libraries needed for touchpad KCM")

find_package(XorgLibinput)
set_package_properties(XorgLibinput PROPERTIES TYPE OPTIONAL)
add_feature_info("XorgLibinput" XORGLIBINPUT_FOUND "Libinput driver headers needed for mouse KCM")

include(ConfigureChecks.cmake)

find_package(Breeze ${PROJECT_VERSION} CONFIG)
set_package_properties(Breeze PROPERTIES
                       TYPE OPTIONAL
                       PURPOSE "For setting the default window decoration plugin")
if(${Breeze_FOUND})
    if(${BREEZE_WITH_KDECORATION})
        set(HAVE_BREEZE_DECO true)
    else()
        set(HAVE_BREEZE_DECO FALSE)
    endif()
else()
    set(HAVE_BREEZE_DECO FALSE)
endif()

if(${AppStreamQt_FOUND})
    set(HAVE_APPSTREAMQT true)
endif()

include_directories("${CMAKE_CURRENT_BINARY_DIR}")

configure_file(config-workspace.h.cmake ${CMAKE_CURRENT_BINARY_DIR}/config-workspace.h)
configure_file(config-unix.h.cmake ${CMAKE_CURRENT_BINARY_DIR}/config-unix.h )
configure_file(config-appstream.h.cmake ${CMAKE_CURRENT_BINARY_DIR}/config-appstream.h )
configure_file(config-X11.h.cmake ${CMAKE_CURRENT_BINARY_DIR}/config-X11.h)
configure_file(config-runtime.h.cmake ${CMAKE_CURRENT_BINARY_DIR}/config-runtime.h)

plasma_install_package(desktoppackage org.kde.plasma.desktop shells shell)

add_definitions(-DQT_NO_URL_CAST_FROM_STRING)

add_subdirectory(layout-templates)

add_subdirectory(doc)
add_subdirectory(runners)
add_subdirectory(containments)
add_subdirectory(toolboxes)
add_subdirectory(applets)
add_subdirectory(dataengines)
add_subdirectory(kcms)
add_subdirectory(knetattach)
add_subdirectory(attica-kde)
add_subdirectory(imports/activitymanager/)
add_subdirectory(solid-device-automounter)
if(X11_Xkb_FOUND AND XCB_XKB_FOUND)
    add_subdirectory(kaccess)
endif()
install(FILES org.kde.plasmashell.metainfo.xml DESTINATION ${KDE_INSTALL_METAINFODIR})
install(FILES plasma-desktop.categories DESTINATION ${KDE_INSTALL_CONFDIR})
feature_summary(WHAT ALL INCLUDE_QUIET_PACKAGES FATAL_ON_MISSING_REQUIRED_PACKAGES)

find_package(KF5I18n CONFIG REQUIRED)
ki18n_install(po)

  find_package(KF5DocTools CONFIG)
  if(KF5DocTools_FOUND)
    kdoctools_install(po)
  endif()

=== runners/CMakeLists.txt ===
add_subdirectory(plasma-desktop)
add_subdirectory(kwin)

=== applets/kimpanel/CMakeLists.txt ===
set(CMAKE_MODULE_PATH ${CMAKE_CURRENT_SOURCE_DIR}/cmake ${CMAKE_MODULE_PATH})

add_subdirectory(backend)

plasma_install_package(package org.kde.plasma.kimpanel)

set(kimpanelplugin_SRCS
    plugin/screen.cpp
    plugin/kimpanelplugin.cpp
)

install(FILES plugin/qmldir DESTINATION ${KDE_INSTALL_QMLDIR}/org/kde/plasma/private/kimpanel)
add_library(kimpanelplugin SHARED ${kimpanelplugin_SRCS})

target_link_libraries(kimpanelplugin Qt5::Gui Qt5::Qml)
install(TARGETS kimpanelplugin DESTINATION ${KDE_INSTALL_QMLDIR}/org/kde/plasma/private/kimpanel)

=== doc/kcontrol/CMakeLists.txt ===
ecm_optional_add_subdirectory(clock)
ecm_optional_add_subdirectory(colors)
ecm_optional_add_subdirectory(desktopthemedetails)
ecm_optional_add_subdirectory(joystick)
ecm_optional_add_subdirectory(kcmaccess)
ecm_optional_add_subdirectory(kcmstyle)
ecm_optional_add_subdirectory(solid-actions)
ecm_optional_add_subdirectory(splashscreen)
ecm_optional_add_subdirectory(icons)
ecm_optional_add_subdirectory(cookies)
ecm_optional_add_subdirectory(emoticons)
ecm_optional_add_subdirectory(baloo)

ecm_optional_add_subdirectory(autostart)
ecm_optional_add_subdirectory(cursortheme)
ecm_optional_add_subdirectory(fonts)
ecm_optional_add_subdirectory(fontinst)
ecm_optional_add_subdirectory(keys)
ecm_optional_add_subdirectory(keyboard)
ecm_optional_add_subdirectory(mouse)
ecm_optional_add_subdirectory(paths)
ecm_optional_add_subdirectory(kcmsmserver)
ecm_optional_add_subdirectory(kcmlaunchfeedback)
ecm_optional_add_subdirectory(kcmnotify)
ecm_optional_add_subdirectory(translations)
ecm_optional_add_subdirectory(formats)
ecm_optional_add_subdirectory(spellchecking)
ecm_optional_add_subdirectory(componentchooser)
ecm_optional_add_subdirectory(kded)
ecm_optional_add_subdirectory(solid-device-automounter)
ecm_optional_add_subdirectory(phonon)
ecm_optional_add_subdirectory(workspaceoptions)

=== kcms/colors/CMakeLists.txt ===
# KI18N Translation Domain for this library
add_definitions(-DTRANSLATION_DOMAIN=\"kcmcolors\")

set(scheme_editor_SRCS
    kcolorschemeeditor.cpp
    scmeditordialog.cpp
    scmeditoroptions.cpp
    scmeditorcolors.cpp
    scmeditoreffects.cpp
    previewwidget.cpp
    setpreviewwidget.cpp
    colorscm.cpp
    ../krdb/krdb.cpp
    )

set(klauncher_xml ${KINIT_DBUS_INTERFACES_DIR}/kf5_org.kde.KLauncher.xml)

ki18n_wrap_ui(scheme_editor_SRCS
    colorsettings.ui
    scmeditordialog.ui
    scmeditoroptions.ui
    scmeditorcolors.ui
    scmeditoreffects.ui
    preview.ui
    setpreview.ui
    )

qt5_add_dbus_interface(scheme_editor_SRCS ${klauncher_xml} klauncher_iface)

add_executable(kcolorschemeeditor ${scheme_editor_SRCS})

target_link_libraries(kcolorschemeeditor
    KF5::KCMUtils
    KF5::GuiAddons
    KF5::I18n
    KF5::KIOCore
    KF5::CoreAddons
    KF5::NewStuff
    KF5::WindowSystem
    )
if(X11_FOUND)
    target_link_libraries(kcolorschemeeditor ${X11_LIBRARIES} Qt5::X11Extras)
endif()
install(TARGETS kcolorschemeeditor  DESTINATION ${KDE_INSTALL_TARGETS_DEFAULT_ARGS})
install(FILES org.kde.kcolorschemeeditor.desktop  DESTINATION  ${KDE_INSTALL_APPDIR})

# ----------------

set(kcm_colors_SRCS
    ../krdb/krdb.cpp
    colorscm.cpp
    scmeditordialog.cpp
    scmeditoroptions.cpp
    scmeditorcolors.cpp
    scmeditoreffects.cpp
    previewwidget.cpp
    setpreviewwidget.cpp
    )


qt5_add_dbus_interface(kcm_colors_SRCS ${klauncher_xml} klauncher_iface)

ki18n_wrap_ui(kcm_colors_SRCS
    colorsettings.ui
    scmeditordialog.ui
    scmeditoroptions.ui
    scmeditorcolors.ui
    scmeditoreffects.ui
    preview.ui
    setpreview.ui)

add_library(kcm_colors MODULE ${kcm_colors_SRCS})
target_link_libraries(kcm_colors
    KF5::KCMUtils
    KF5::GuiAddons
    KF5::I18n
    KF5::KIOCore
    KF5::CoreAddons
    Qt5::DBus
    KF5::NewStuff
    KF5::WindowSystem)

if(X11_FOUND)
    target_link_libraries(kcm_colors ${X11_LIBRARIES} Qt5::X11Extras)
endif()

install(TARGETS kcm_colors  DESTINATION ${KDE_INSTALL_PLUGINDIR})
install( FILES colors.desktop  DESTINATION  ${KDE_INSTALL_KSERVICES5DIR} )
install( FILES colorschemes.knsrc DESTINATION  ${KDE_INSTALL_CONFDIR} )

# built-in color schemes
file(GLOB schemefiles schemes/*.colors)
install( FILES ${schemefiles} DESTINATION ${KDE_INSTALL_DATADIR}/color-schemes )

=== kcms/qtquicksettings/CMakeLists.txt ===
add_definitions(-DTRANSLATION_DOMAIN=\"kcmqtquicksettings\")

set(kcm_qtquicksettings_PART_SRCS kcmqtquicksettings.cpp)
kconfig_add_kcfg_files(kcm_qtquicksettings_PART_SRCS renderersettings.kcfgc)

ki18n_wrap_ui(kcm_qtquicksettings_PART_SRCS kcmqtquicksettingswidget.ui)

add_library(kcm_qtquicksettings ${kcm_qtquicksettings_PART_SRCS})

target_link_libraries(kcm_qtquicksettings
    Qt5::Widgets
    KF5::WidgetsAddons
    KF5::KCMUtils
    KF5::I18n
)

########### install files ###############

install(TARGETS kcm_qtquicksettings  DESTINATION ${PLUGIN_INSTALL_DIR})
install(FILES qtquicksettings.desktop  DESTINATION  ${SERVICES_INSTALL_DIR})

=== kcms/workspaceoptions/CMakeLists.txt ===
# KI18N Translation Domain for this library
add_definitions(-DTRANSLATION_DOMAIN=\"kcm_workspace\")

########### next target ###############
set(kcm_workspace_SRCS
  workspaceoptions.cpp
)

add_library(kcm_workspace MODULE ${kcm_workspace_SRCS})

target_link_libraries(kcm_workspace
    KF5::QuickAddons
    KF5::I18n
    KF5::ConfigWidgets
    KF5::Declarative
    KF5::KDELibs4Support

    Qt5::DBus
)

kcoreaddons_desktop_to_json(kcm_workspace "kcm_workspace.desktop" SERVICE_TYPES kcmodule.desktop)

########### install files ###############
install( FILES kcm_workspace.desktop DESTINATION ${KDE_INSTALL_KSERVICES5DIR})
install(TARGETS kcm_workspace DESTINATION ${KDE_INSTALL_PLUGINDIR}/kcms)

kpackage_install_package(package kcm_workspace kcms)

=== runners/plasma-desktop/CMakeLists.txt ===
add_definitions(-DTRANSLATION_DOMAIN="plasma_runner_plasma-desktop")

set(krunner_plasma-desktop_SRCS
    plasma-desktop-runner.cpp
)

add_library(krunner_plasma-desktop MODULE ${krunner_plasma-desktop_SRCS})
target_link_libraries(krunner_plasma-desktop
                        Qt5::DBus
                        KF5::KIOCore
                        KF5::I18n
                        KF5::Runner)

install(TARGETS krunner_plasma-desktop DESTINATION ${KDE_INSTALL_PLUGINDIR})
install(FILES plasma-runner-plasma-desktop.desktop DESTINATION ${KDE_INSTALL_KSERVICES5DIR})

=== doc/kcontrol/autostart/CMakeLists.txt ===
########### install files ###############
#
kdoctools_create_handbook(index.docbook INSTALL_DESTINATION ${KDE_INSTALL_DOCBUNDLEDIR}/en SUBDIR kcontrol/autostart)

=== doc/kcontrol/formats/CMakeLists.txt ===
########### install files ###############
kdoctools_create_handbook(index.docbook INSTALL_DESTINATION ${KDE_INSTALL_DOCBUNDLEDIR}/en SUBDIR kcontrol/formats)

=== kcms/kfontinst/dbus/CMakeLists.txt ===

add_definitions(${QT_DEFINITIONS})

set(fontinst_bin_SRCS FcConfig.cpp FontInst.cpp Folder.cpp Main.cpp Utils.cpp ${libkfontinstdbusiface_SRCS} )
set(fontinst_helper_SRCS FcConfig.cpp Helper.cpp Folder.cpp Utils.cpp ${libkfontinstdbusiface_SRCS} )

# qt5_generate_dbus_interface(FontInst.h org.kde.fontinst.xml)
qt5_add_dbus_adaptor(fontinst_bin_SRCS org.kde.fontinst.xml FontInst.h KFI::FontInst)
# qt5_add_dbus_interface(fontinst_bin_SRCS org.kde.fontinst.xml FontinstIface)

add_executable(fontinst_bin ${fontinst_bin_SRCS})
add_executable(fontinst_helper ${fontinst_helper_SRCS})

set_target_properties(fontinst_bin PROPERTIES OUTPUT_NAME fontinst)
target_link_libraries(fontinst_bin 
                      Qt5::DBus Qt5::Xml KF5::Auth ${FONTCONFIG_LIBRARIES} kfontinst)

set_target_properties(fontinst_helper PROPERTIES OUTPUT_NAME fontinst_helper)
target_link_libraries(fontinst_helper 
                      Qt5::DBus Qt5::Xml KF5::Auth ${FONTCONFIG_LIBRARIES} kfontinst)

install(TARGETS fontinst_bin DESTINATION ${KAUTH_HELPER_INSTALL_DIR} )
install(TARGETS fontinst_helper DESTINATION ${KAUTH_HELPER_INSTALL_DIR} )
install(PROGRAMS fontinst_x11 DESTINATION ${KAUTH_HELPER_INSTALL_DIR})

configure_file(org.kde.fontinst.service.cmake ${CMAKE_CURRENT_BINARY_DIR}/session/org.kde.fontinst.service)
install(FILES ${CMAKE_CURRENT_BINARY_DIR}/session/org.kde.fontinst.service DESTINATION ${KDE_INSTALL_DBUSSERVICEDIR} )

kauth_install_helper_files(fontinst_helper org.kde.fontinst root)
kauth_install_actions(org.kde.fontinst fontinst.actions)

=== debian/changelog ===
plasma-desktop (4:5.14.5.1-4) unstable; urgency=medium

  * Team upload.
  * Fix indep builds by splitting the strict shlibs target and the l10n targets
    by arch & indep builds.
  * Update lintian overrides.

 -- Pino Toscano <pino@debian.org>  Thu, 03 Oct 2019 18:01:14 +0200

plasma-desktop (4:5.14.5.1-3) unstable; urgency=medium

  * Team upload.
  * Bump Standards-Version to 4.4.1, no changes required.
  * Pass -DBUILD_TESTING=OFF to cmake to disable the build of tests, as they
    are not run at build time anyway.
  * Drop the migration from plasma-desktop-dbg, no more needed after two
    Debian stable releases.
  * Backport upstream commit 18001c2926dc7d8f57060e34114283d6c2138471 to fix
    build with newer KF; patch upstream_Fix-build-include-QTime.patch.
  * Explicitly add the gettext build dependency.
  * Tighten library dependencies.
  * Simplify the dependencies of plasma-desktop-dev:
    - remove plasma-desktop, which are not needed (it is a package only with
      development libraries)
    - use the sodeps addon instead of manually listing all the libraries
  * Migrate D-Bus configuration files from /etc to /usr, according to the newer
    ECM.
  * Remove trailing whitespace in changelog.

 -- Pino Toscano <pino@debian.org>  Thu, 03 Oct 2019 08:55:38 +0200

plasma-desktop (4:5.14.5.1-2) unstable; urgency=medium

  * New revision
  * Drop sni-qt recommendation
  * Release to unstable

 -- Maximiliano Curia <maxy@debian.org>  Mon, 26 Aug 2019 17:12:49 -0300

plasma-desktop (4:5.14.5.1-1) unstable; urgency=medium

  * New upstream bugfix release (5.14.5.1).
    - [Kickoff] Return Kickoff to Favorites page after running a search
      (cc33c78f)
    - [Activities KCM] Properly vertically center the buttons (a8da90e2)
    - Revert "[Activities KCM] vertically center the buttons"
      (019467e5)
    - [kcms/mouse] Load current server settings in kcminit (8de70853)
    - Fix new file creation leading to dupe items on a fresh view
      (4a3fbf91)
      Fixes upstream bug 401023 (https://bugs.kde.org/show_bug.cgi?id=401023)
    - Translation updates (4d8057ae, 88fdc2b1, 045b0606, a2a3ea78, 4dc17385)
    - Use https URLS (c05cc999)
    - Check icon positions after move (e2aa8989)
      Fixes upstream bug 402574 (https://bugs.kde.org/show_bug.cgi?id=402574)
    - Defer initial positions apply until listing is complete (aaebb510)
      Fixes upstream bug 354802 (https://bugs.kde.org/show_bug.cgi?id=354802)
    - [KRDB] Also try wildcard tooltip (c6bab929)
      Fixes upstream bug 355540 (https://bugs.kde.org/show_bug.cgi?id=355540)
      Fixed incorrect tooltip colors applied to GTK2 applications leading to
      unreadable text
    - [KRDB] Write correct tooltip colors into gtkrc in kcminit (c394dc46)
    - [Date & Time KCM] Fix clock display with fractional scale factor
      (985acbb7)
      Fixes upstream bug 396936 (https://bugs.kde.org/show_bug.cgi?id=396936)
    - Add an X-DocPath link to the Activities KCM (4110ed27)
    - [Activities KCM] Fix patch to not delete default activity (ae8483ef)
      Fixes upstream bug 397887 (https://bugs.kde.org/show_bug.cgi?id=397887)
  * Release to unstable

 -- Maximiliano Curia <maxy@debian.org>  Wed, 13 Feb 2019 21:03:50 +0100

plasma-desktop (4:5.14.5-1) unstable; urgency=medium

  * New upstream release (5.14.5).
  * Update build-deps and deps with the info from cmake
  * Release to unstable

 -- Maximiliano Curia <maxy@debian.org>  Thu, 24 Jan 2019 09:26:04 -0300

plasma-desktop (4:5.14.3-1) unstable; urgency=medium

  * Update upsteam signing-key
  * New upstream release (5.14.3).
  * Update build-deps and deps with the info from cmake
  * Bump group breaks (4:5.14)
  * Release to unstable

 -- Maximiliano Curia <maxy@debian.org>  Fri, 23 Nov 2018 08:50:58 -0300

=== debian/control ===
Source: plasma-desktop
Section: kde
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Maximiliano Curia <maxy@debian.org>
Build-Depends: baloo-kf5-dev (>= 5.15~),
               breeze-dev (>= 4:5.14.5~),
               cmake (>= 3.0~),
               debhelper (>= 11~),
               extra-cmake-modules (>= 5.50.0~),
               gettext,
               kded5-dev (>= 5.50.0~),
               kinit-dev,
               kscreenlocker-dev,
               kwin-dev (>= 4:5.4.0~),
               libappstreamqt-dev,
               libboost-dev,
               libcanberra-dev,
               libfontconfig1-dev,
               libfreetype6-dev,
               libglib2.0-dev,
               libibus-1.0-dev,
               libkf5activities-dev (>= 5.50.0~),
               libkf5activitiesstats-dev (>= 5.50.0~),
               libkf5attica-dev (>= 5.50.0~),
               libkf5auth-dev (>= 5.50.0~),
               libkf5config-dev (>= 5.50.0~),
               libkf5coreaddons-dev,
               libkf5dbusaddons-dev (>= 5.50.0~),
               libkf5declarative-dev (>= 5.50.0~),
               libkf5doctools-dev (>= 5.50.0~),
               libkf5emoticons-dev,
               libkf5globalaccel-dev (>= 5.50.0~),
               libkf5guiaddons-dev,
               libkf5i18n-dev (>= 5.50.0~),
               libkf5itemmodels-dev (>= 5.41.0~),
               libkf5kcmutils-dev (>= 5.50.0~),
               libkf5kdelibs4support-dev (>= 5.50.0~),
               libkf5kio-dev,
               libkf5newstuff-dev (>= 5.50.0~),
               libkf5notifications-dev (>= 5.50.0~),
               libkf5notifyconfig-dev (>= 5.50.0~),
               libkf5people-dev (>= 5.50.0~),
               libkf5plasma-dev (>= 5.50.0~),
               libkf5runner-dev (>= 5.50.0~),
               libkf5sysguard-dev,
               libkf5wallet-dev (>= 5.50.0~),
               libkf5widgetsaddons-dev,
               libkf5windowsystem-dev,
               libkf5xmlgui-dev,
               libpackagekitqt5-dev,
               libphonon4qt5-dev (>= 4.6.60),
               libphonon4qt5experimental-dev,
               libpulse-dev (>= 0.9.16),
               libqt5svg5-dev (>= 5.11.0~),
               libqt5x11extras5-dev (>= 5.11.0~),
               libscim-dev,
               libudev-dev,
               libx11-dev,
               libx11-xcb-dev,
               libxapian-dev,
               libxcb-image0-dev,
               libxcb-record0-dev,
               libxcb-shm0-dev,
               libxcb-xkb-dev,
               libxcb1-dev,
               libxcursor-dev,
               libxft-dev,
               libxi-dev,
               libxkbfile-dev,
               openbox,
               pkg-config,
               pkg-kde-tools (>= 0.15.18~),
               plasma-workspace-dev (>= 4:5.12~),
               qtbase5-dev (>= 5.11.0~),
               qtdeclarative5-dev (>= 5.11.0~),
               xauth,
               xserver-xorg-dev,
               xserver-xorg-input-evdev-dev,
               xserver-xorg-input-libinput-dev,
               xserver-xorg-input-synaptics-dev,
               xvfb,
Standards-Version: 4.4.1
Homepage: https://projects.kde.org/projects/kde/workspace/plasma-desktop
Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/plasma-desktop
Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/plasma-desktop.git

Package: kde-config-touchpad
Depends: plasma-desktop, ${misc:Depends}
Architecture: all
Priority: optional
Section: oldlibs
Description: transitional dummy package
 This is a transitional dummy package. It can safely be removed.

Package: libkfontinst5
Architecture: any
Section: libs
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Tools and widgets for the desktop library
 Plasma Desktop offers a beautiful looking desktop
 that takes complete advantage of modern computing technology.
 Through the use of visual effects and scalable graphics,
 the desktop experience is not only smooth but also pleasant
 to the eye. The looks of Plasma Desktop not only provide beauty,
 they are also used to support and improve your computer
 activities effectively, without being distracting.
 .
 This package is part of the KDE Plasma.

Package: libkfontinstui5
Architecture: any
Section: libs
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Tools and widgets for the desktop library
 Plasma Desktop offers a beautiful looking desktop
 that takes complete advantage of modern computing technology.
 Through the use of visual effects and scalable graphics,
 the desktop experience is not only smooth but also pleasant
 to the eye. The looks of Plasma Desktop not only provide beauty,
 they are also used to support and improve your computer
 activities effectively, without being distracting.
 .
 This package is part of the KDE Plasma.

Package: plasma-desktop
Architecture: any
Depends: breeze (>= 4:5.14),
         kactivitymanagerd (>= 5.14),
         kde-cli-tools (>= 4:5.14),
         kded5,
         kio,
         oxygen-sounds (>= 4:5.14),
         plasma-desktop-data (= ${source:Version}),
         plasma-framework,
         plasma-integration (>= 5.14),
         plasma-workspace (>= 4:5.14),
         polkit-kde-agent-1 (>= 4:5.14),
         qml-module-org-kde-draganddrop,
         qml-module-org-kde-kcoreaddons,
         qml-module-org-kde-kquickcontrols,
         qml-module-org-kde-kquickcontrolsaddons,
         qml-module-org-kde-kwindowsystem,
         qml-module-org-kde-solid,
         qml-module-qt-labs-folderlistmodel,
         qml-module-qt-labs-settings,
         ${misc:Depends},
         ${shlibs:Depends},
Recommends: bluedevil (>= 4:5.14),
            breeze-gtk-theme (>= 5.14),
            fonts-hack,
            fonts-noto,
            kde-config-gtk-style (>= 4:5.14),
            kde-config-screenlocker (>= 5.14),
            kde-config-sddm (>= 4:5.14),
            kde-style-oxygen-qt5 (>= 4:5.14),
            kgamma5 (>= 5.14),
            khelpcenter,
            khotkeys (>= 4:5.14),
            kinfocenter (>= 4:5.14),
            kio-extras,
            kmenuedit (>= 4:5.14),
            kscreen (>= 4:5.14),
            ksshaskpass (>= 4:5.14),
            ksysguard (>= 4:5.14),
            kwin-x11 (>= 4:5.14) | kwin,
            kwrited (>= 4:5.14),
            libpam-kwallet5 (>= 5.14),
            plasma-discover (>= 5.14),
            plasma-pa (>= 4:5.14),
            powerdevil (>= 4:5.14),
            systemsettings (>= 4:5.14),
            user-manager (>= 4:5.14),
Breaks: baloo-kf5 (<< 5.5),
        kactivities,
        kde-config-touchpad (<< 4:5),
        kde-workspace-bin,
        kde-workspace-data,
        plasma-widget-kimpanel,
Replaces: baloo-kf5 (<< 5.5),
          kactivities,
          kde-config-touchpad (<< 4:5),
          kde-workspace-bin,
          kde-workspace-data,
          plasma-widget-kimpanel,
Description: Tools and widgets for the desktop
 Plasma Desktop offers a beautiful looking desktop
 that takes complete advantage of modern computing technology.
 Through the use of visual effects and scalable graphics,
 the desktop experience is not only smooth but also pleasant
 to the eye. The looks of Plasma Desktop not only provide beauty,
 they are also used to support and improve your computer
 activities effectively, without being distracting.
 .
 This package is part of the KDE Plasma.

Package: plasma-desktop-data
Architecture: all
Depends: ${misc:Depends}
Recommends: plasma-framework (>> 5.22),
            plasma-workspace (>= 4:5.14),
            qml-module-org-kde-activities,
            qml-module-org-kde-kwindowsystem,
            qml-module-qtquick-dialogs,
Breaks: baloo-kf5 (<< 5.5),
        kactivities,
        kde-config-touchpad (<< 4:5),
        kde-workspace-bin,
        kde-workspace-data,
        kdeplasma-addons-data (<< 4:5.6~),
        plasma-widget-kimpanel,
        ${kde-l10n:all},
Replaces: baloo-kf5 (<< 5.5),
          kactivities,
          kde-config-touchpad (<< 4:5),
          kde-workspace-bin,
          kde-workspace-data,
          kdeplasma-addons-data (<< 4:5.6~),
          plasma-widget-kimpanel,
          ${kde-l10n:all},
Description: Tools and widgets for the desktop data files
 Plasma Desktop offers a beautiful looking desktop
 that takes complete advantage of modern computing technology.
 Through the use of visual effects and scalable graphics,
 the desktop experience is not only smooth but also pleasant
 to the eye. The looks of Plasma Desktop not only provide beauty,
 they are also used to support and improve your computer
 activities effectively, without being distracting.
 .
 This package is part of the KDE Plasma.
 .
 This package contains the data files

Package: plasma-desktop-dev
Section: devel
Architecture: any
Depends: ${misc:Depends},
         ${so:Depends},
         ${shlibs:Depends},
Breaks: kde-config-touchpad (<< 4:5)
Replaces: kde-config-touchpad (<< 4:5)
Description: Tools and widgets for the desktop
 Plasma Desktop offers a beautiful looking desktop
 that takes complete advantage of modern computing technology.
 Through the use of visual effects and scalable graphics,
 the desktop experience is not only smooth but also pleasant
 to the eye. The looks of Plasma Desktop not only provide beauty,
 they are also used to support and improve your computer
 activities effectively, without being distracting.
 .
 This package is part of the KDE Plasma.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

export DEB_LDFLAGS_MAINT_APPEND := -Wl,--as-needed

l10npkgs_firstversion_ok := 4:17.08.3-3~
include /usr/share/pkg-kde-tools/qt-kde-team/2/l10n-packages.mk

libpkgs_gen_strict_local_shlibs = $(libpkgs_all_packages)
include /usr/share/pkg-kde-tools/qt-kde-team/2/library-packages.mk

DEB_HOST_ARCH ?= $(shell dpkg-architecture -qDEB_HOST_ARCH)
ifneq (,$(filter $(DEB_HOST_ARCH), armel armhf mips mipsel))
    export DEB_CFLAGS_MAINT_STRIP = -g
    export DEB_CXXFLAGS_MAINT_STRIP = -g
    export DEB_CFLAGS_MAINT_APPEND = -gstabs
    export DEB_CXXFLAGS_MAINT_APPEND = -gstabs
endif

%:
	dh $@ --with kf5,pkgkde_symbolshelper,sodeps --buildsystem kf5 --without build_stamp

override_dh_auto_configure:
	dh_auto_configure -Skf5 -- -DBUILD_TESTING=OFF

override_dh_auto_test:
	# Disable dh_auto_test, fourth test never ends
	# xvfb-run -a dh_auto_test
	:

override_dh_gencontrol-indep: l10npkgs_firstversion_ok
	dh_gencontrol -i

override_dh_gencontrol-arch: libpkgs_gen_strict_local_shlibs
	dh_gencontrol -a

## plasma-desktop 5.14.5.2%2Brb2

=== kcms/cursortheme/CMakeLists.txt ===
# KI18N Translation Domain for this library
add_definitions(-DTRANSLATION_DOMAIN=\"kcm_cursortheme\")

include_directories( ${LIBUSB_INCLUDE_DIR} )

if(X11_Xcursor_FOUND)
  set( libnoinst_SRCS
    xcursor/thememodel.cpp
    xcursor/cursortheme.cpp
    xcursor/xcursortheme.cpp
    xcursor/previewwidget.cpp
    xcursor/sortproxymodel.cpp
    ../krdb/krdb.cpp )
  include_directories( ${CMAKE_CURRENT_SOURCE_DIR}/xcursor/ )
else()
  set( libnoinst_SRCS core/themepage.cpp )
  include_directories( ${CMAKE_CURRENT_SOURCE_DIR}/core/ )
endif()

set(klauncher_xml ${KINIT_DBUS_INTERFACES_DIR}/kf5_org.kde.KLauncher.xml)
qt5_add_dbus_interface(libnoinst_SRCS ${klauncher_xml} klauncher_iface)

########### next target ###############

set(kcm_cursortheme_PART_SRCS kcmcursortheme.cpp ${libnoinst_SRCS})

add_library(kcm_cursortheme MODULE ${kcm_cursortheme_PART_SRCS})


target_link_libraries(kcm_cursortheme
    Qt5::DBus
    Qt5::X11Extras
    Qt5::Quick
    KF5::Archive
    KF5::KCMUtils
    KF5::I18n
    KF5::KIOCore
    KF5::KIOWidgets
    KF5::KDELibs4Support
    KF5::NewStuff
    KF5::QuickAddons
    ${X11_LIBRARIES}
    XCB::XCB
)

if (X11_Xcursor_FOUND)
   target_link_libraries(kcm_cursortheme ${X11_Xcursor_LIB})
endif ()
if (X11_Xfixes_FOUND)
   target_link_libraries(kcm_cursortheme ${X11_Xfixes_LIB})
endif ()

install(TARGETS kcm_cursortheme  DESTINATION ${KDE_INSTALL_PLUGINDIR}/kcms )

kcoreaddons_desktop_to_json(kcm_cursortheme "kcm_cursortheme.desktop")

########### install files ###############

install( FILES kcm_cursortheme.desktop  DESTINATION  ${KDE_INSTALL_KSERVICES5DIR} )
install( FILES xcursor/xcursor.knsrc DESTINATION  ${KDE_INSTALL_CONFDIR} )

kpackage_install_package(package kcm_cursortheme kcms)

=== kcms/desktoptheme/CMakeLists.txt ===
# KI18N Translation Domain for this library
add_definitions(-DTRANSLATION_DOMAIN=\"kcm_desktoptheme\")

set(kcm_desktoptheme_SRCS
  kcm.cpp
)

add_library(kcm_desktoptheme MODULE ${kcm_desktoptheme_SRCS})

target_link_libraries(kcm_desktoptheme
  KF5::CoreAddons
  KF5::KCMUtils
  KF5::I18n
  KF5::Plasma
  KF5::Declarative
  KF5::QuickAddons
  KF5::NewStuff
)

kcoreaddons_desktop_to_json(kcm_desktoptheme "kcm_desktoptheme.desktop" SERVICE_TYPES kcmodule.desktop)

#this desktop file is installed only for retrocompatibility with sycoca
install(FILES kcm_desktoptheme.desktop DESTINATION ${KDE_INSTALL_KSERVICES5DIR})
install(FILES plasma-themes.knsrc DESTINATION ${KDE_INSTALL_CONFDIR})
install(TARGETS kcm_desktoptheme DESTINATION ${KDE_INSTALL_PLUGINDIR}/kcms)

kpackage_install_package(package kcm_desktoptheme kcms)

=== kcms/spellchecking/CMakeLists.txt ===
set(kcm_spellchecking_SRCS
   spellchecking.cpp
   )

add_library(kcmspellchecking MODULE ${kcm_spellchecking_SRCS})

target_link_libraries(kcmspellchecking
                      KF5::SonnetUi
                      KF5::KDELibs4Support
                     )

install(TARGETS kcmspellchecking   DESTINATION ${KDE_INSTALL_PLUGINDIR} )
install( FILES spellchecking.desktop   DESTINATION  ${KDE_INSTALL_KSERVICES5DIR} )

=== kcms/touchpad/src/CMakeLists.txt ===
# KI18N Translation Domain for this library
add_definitions(-DTRANSLATION_DOMAIN=\"kcm_touchpad\")

configure_file("${CMAKE_CURRENT_SOURCE_DIR}/version.h.cmake"
               "${CMAKE_CURRENT_BINARY_DIR}/version.h"
)

SET(SRCS
    plugins.cpp
    touchpadbackend.cpp
    logging.cpp
)

include(backends/x11.cmake)
include(backends/kwin_wayland.cmake)

set(SRCS
    ${SRCS}
    kcm/touchpadconfigcontainer.cpp
    kcm/touchpadconfigplugin.cpp
    kcm/libinput/touchpadconfiglibinput.cpp
    kcm/xlib/customslider.cpp
    kcm/xlib/sliderpair.cpp
    kcm/xlib/testarea.cpp
    kcm/xlib/testbutton.cpp
    kcm/xlib/touchpadconfigxlib.cpp
    kcm/xlib/touchpadparametersbase.cpp
    kcm/xlib/customconfigdialogmanager.cpp
)

qt5_add_dbus_interfaces(SRCS
                        ${CMAKE_CURRENT_BINARY_DIR}/org.kde.touchpad.xml
)

qt5_add_resources( SRCS kcm/resources.qrc )

kconfig_add_kcfg_files(SRCS kcm/xlib/touchpadparameters.kcfgc)

ki18n_wrap_ui(SRCS
            kcm/xlib/ui/pointermotion.ui
            kcm/xlib/ui/tap.ui
            kcm/xlib/ui/scroll.ui
            kcm/xlib/ui/sensitivity.ui
            kcm/xlib/ui/kded.ui
            kcm/xlib/ui/testarea.ui
)

qt5_generate_dbus_interface(kded/kded.h org.kde.touchpad.xml)

SET(SRCS
    ${SRCS}
    kded/kded.cpp
    kded/kdedactions.cpp
)

kconfig_add_kcfg_files(SRCS kded/kdedsettings.kcfgc)

add_library(kded_touchpad MODULE
            ${SRCS}
            ${backend_SRCS}
)
target_link_libraries(kded_touchpad
                      ${backend_LIBS}
		      KF5::KCMUtils
		      KF5::Notifications
		      KF5::CoreAddons
		      KF5::WindowSystem
		      KF5::ConfigWidgets
		      KF5::DBusAddons
		      KF5::Completion
		      KF5::WidgetsAddons
		      KF5::I18n
		      KF5::Service
		      KF5::NotifyConfig
		      KF5::XmlGui
		      KF5::GlobalAccel
		      KF5::Plasma
		      KF5::Declarative
                      
		      Qt5::X11Extras
		      Qt5::QuickWidgets
)

add_subdirectory(applet)

install(FILES kcm/kcm_touchpad.desktop
        DESTINATION ${KDE_INSTALL_KSERVICES5DIR}
)

install(FILES kded/touchpaddaemon.kcfg
        DESTINATION ${KDE_INSTALL_KCFGDIR}
)
install(FILES kded/kded_touchpad.desktop
        DESTINATION ${KDE_INSTALL_KSERVICES5DIR}/kded
        RENAME touchpad.desktop
)
install(FILES ${CMAKE_CURRENT_BINARY_DIR}/org.kde.touchpad.xml
        DESTINATION ${KDE_INSTALL_DBUSINTERFACEDIR}
)
install(FILES kded/kcm_touchpad.notifyrc
        DESTINATION ${KDE_INSTALL_KNOTIFY5RCDIR}
)

install(TARGETS kded_touchpad
        DESTINATION ${KDE_INSTALL_PLUGINDIR}
)

install(FILES kcm/xlib/touchpad.kcfg
        DESTINATION ${KDE_INSTALL_KCFGDIR}
)

## plasma-desktop 5.14.5.2+rb2

=== applets/kicker/CMakeLists.txt ===
add_definitions(
  -DQT_USE_QSTRINGBUILDER
  -DQT_NO_CAST_TO_ASCII
# -DQT_NO_CAST_FROM_ASCII
  -DQT_STRICT_ITERATORS
  -DQT_NO_URL_CAST_FROM_STRING
  -DQT_NO_CAST_FROM_BYTEARRAY
  -DQT_NO_SIGNALS_SLOTS_KEYWORDS
  -DQT_USE_FAST_OPERATOR_PLUS
  -DTRANSLATION_DOMAIN=\"plasma_applet_org.kde.plasma.kicker\"
)

plasma_install_package(package org.kde.plasma.kicker)

set(kickerplugin_SRCS
    plugin/abstractentry.cpp
    plugin/abstractmodel.cpp
    plugin/actionlist.cpp
    plugin/appentry.cpp
    plugin/appsmodel.cpp
    plugin/computermodel.cpp
    plugin/contactentry.cpp
    plugin/containmentinterface.cpp
    plugin/draghelper.cpp
    plugin/simplefavoritesmodel.cpp
    plugin/kastatsfavoritesmodel.cpp
    plugin/fileentry.cpp
    plugin/forwardingmodel.cpp
    plugin/placeholdermodel.cpp
    plugin/funnelmodel.cpp
    plugin/dashboardwindow.cpp
    plugin/kickerplugin.cpp
    plugin/menuentryeditor.cpp
    plugin/processrunner.cpp
    plugin/rootmodel.cpp
    plugin/runnermodel.cpp
    plugin/runnermatchesmodel.cpp
    plugin/recentcontactsmodel.cpp
    plugin/recentusagemodel.cpp
    plugin/submenu.cpp
    plugin/systementry.cpp
    plugin/systemmodel.cpp
    plugin/systemsettings.cpp
    plugin/wheelinterceptor.cpp
    plugin/windowsystem.cpp
    plugin/funnelmodel.cpp
)

ecm_qt_declare_logging_category(kickerplugin_SRCS
    HEADER debug.h
    IDENTIFIER KICKER_DEBUG
    CATEGORY_NAME org.kde.plasma.kicker)

qt5_add_dbus_interface(kickerplugin_SRCS ${KRUNNERAPP_INTERFACE} krunner_interface)
qt5_add_dbus_interface(kickerplugin_SRCS ${KSMSERVER_DBUS_INTERFACE} ksmserver_interface)

install(FILES plugin/qmldir DESTINATION ${KDE_INSTALL_QMLDIR}/org/kde/plasma/private/kicker)

add_library(kickerplugin SHARED ${kickerplugin_SRCS})

target_link_libraries(kickerplugin
                      Qt5::Core
                      Qt5::DBus
                      Qt5::Qml
                      Qt5::Quick
                      Qt5::X11Extras
                      KF5::Activities
                      KF5::ActivitiesStats
                      KF5::ConfigCore
                      KF5::CoreAddons
                      KF5::I18n
                      KF5::ItemModels
                      KF5::KDELibs4Support # FIXME: New Solid power management API doesn't exist yet, so we need to use deprecated stuff.
                      KF5::KIOCore
                      KF5::KIOWidgets
                      KF5::People
                      KF5::PeopleWidgets
                      KF5::PlasmaQuick
                      KF5::Runner
                      KF5::Service
                      KF5::Solid
                      KF5::WindowSystem
                      PW::KWorkspace)

if (${HAVE_APPSTREAMQT})
target_link_libraries(kickerplugin AppStreamQt)
endif()

install(TARGETS kickerplugin DESTINATION ${KDE_INSTALL_QMLDIR}/org/kde/plasma/private/kicker)

=== kcms/access/CMakeLists.txt ===
# KI18N Translation Domain for this library
add_definitions(-DTRANSLATION_DOMAIN=\"kcmaccess\")

set(kcm_access_PART_SRCS kcmaccess.cpp )

ki18n_wrap_ui(kcm_access_PART_SRCS
  accessibility.ui
)

add_library(kcm_access MODULE ${kcm_access_PART_SRCS})

target_link_libraries(kcm_access
    Qt5::X11Extras
    KF5::KCMUtils
    KF5::I18n
    KF5::KIOCore
    KF5::KIOWidgets
    KF5::NotifyConfig
    KF5::WindowSystem
    KF5::KDELibs4Support
    ${X11_LIBRARIES}
)

install(TARGETS kcm_access DESTINATION ${KDE_INSTALL_PLUGINDIR})

########### install files ###############

install( FILES kcmaccess.desktop  DESTINATION  ${KDE_INSTALL_KSERVICES5DIR} )

=== kcms/desktoppaths/CMakeLists.txt ===
# KI18N Translation Domain for this library
add_definitions(-DTRANSLATION_DOMAIN=\"kcm_desktoppaths\")

set(kcm_desktoppaths_PART_SRCS
   globalpaths.cpp
)

add_library(kcm_desktoppaths MODULE ${kcm_desktoppaths_PART_SRCS})

target_link_libraries(kcm_desktoppaths
    KF5::KCMUtils
    KF5::I18n
    KF5::KIOCore
    KF5::KIOWidgets
    KF5::KDELibs4Support
)

install(TARGETS kcm_desktoppaths DESTINATION ${KDE_INSTALL_PLUGINDIR})
install(FILES desktoppath.desktop DESTINATION ${KDE_INSTALL_KSERVICES5DIR})

=== kcms/formats/CMakeLists.txt ===
# KI18N Translation Domain for this library
add_definitions(-DTRANSLATION_DOMAIN=\"kcmformats\")

set(kcm_formats_PART_SRCS
    kcmformats.cpp
)

ki18n_wrap_ui(kcm_formats_PART_SRCS kcmformatswidget.ui )

add_library(kcm_formats MODULE ${kcm_formats_PART_SRCS})

kcoreaddons_desktop_to_json(kcm_formats formats.desktop SERVICE_TYPES kcmodule.desktop)

target_link_libraries(kcm_formats Qt5::Core Qt5::DBus Qt5::Widgets KF5::I18n KF5::ConfigCore KF5::KCMUtils)

install(TARGETS kcm_formats  DESTINATION ${KDE_INSTALL_PLUGINDIR} )


########### install files ###############

install( FILES formats.desktop  DESTINATION  ${KDE_INSTALL_KSERVICES5DIR} )

=== kcms/knotify/CMakeLists.txt ===
# KI18N Translation Domain for this library
add_definitions(-DTRANSLATION_DOMAIN=\"kcm5_notify\")

########### next target ###############

set(kcm_knotify_PART_SRCS knotify.cpp )


add_library(kcm_knotify MODULE ${kcm_knotify_PART_SRCS})


target_link_libraries(kcm_knotify
                        KF5::NotifyConfig
                        KF5::KDELibs4Support
                        )

install(TARGETS kcm_knotify  DESTINATION ${KDE_INSTALL_PLUGINDIR} )


########### install files ###############

install( FILES kcmnotify.desktop  DESTINATION  ${KDE_INSTALL_KSERVICES5DIR} )

=== kcms/mouse/CMakeLists.txt ===
if(NOT X11_Xinput_FOUND)
    message(FATAL_ERROR "Xinput not found")
endif()

# KI18N Translation Domain for this library
add_definitions(-DTRANSLATION_DOMAIN=\"kcmmouse\")

add_subdirectory( misc )

## Add common files here.
set(common_SRCS
    inputbackend.cpp
)

include(ECMQtDeclareLoggingCategory)
ecm_qt_declare_logging_category(common_SRCS
    HEADER
        logging.h
    IDENTIFIER
        KCM_MOUSE
    CATEGORY_NAME
        kcm_mouse
    DEFAULT_SEVERITY
        Critical
)

set(klauncher_xml ${KINIT_DBUS_INTERFACES_DIR}/kf5_org.kde.KLauncher.xml)
qt5_add_dbus_interface(common_SRCS ${klauncher_xml} klauncher_iface)

include(backends/x11.cmake)
include(backends/kwin_wl.cmake)

########### next target ###############

add_executable(kapplymousetheme
    kapplymousetheme.cpp
    ${common_SRCS}
    ${backend_SRCS}
)

target_link_libraries(kapplymousetheme
    ${backend_LIBS}
    Qt5::Gui
    Qt5::DBus
    KF5::CoreAddons
    KF5::ConfigCore
    KF5::I18n
)

install(TARGETS kapplymousetheme ${KDE_INSTALL_TARGETS_DEFAULT_ARGS})

########### next target ###############

set(common_SRCS
    ${common_SRCS}
    plugin.cpp
    kcm/configcontainer.cpp
    kcm/configplugin.cpp
    kcm/libinput/libinput_config.cpp
    kcm/xlib/xlib_config.cpp
)

ki18n_wrap_ui(common_SRCS kcm/xlib/kcmmouse.ui)

qt5_add_resources( common_SRCS kcm/resources.qrc )

add_library(kcm_mouse MODULE
    ${common_SRCS}
    ${backend_SRCS}
)

target_link_libraries(kcm_mouse
    ${backend_LIBS}
    KF5::KCMUtils
    KF5::I18n
    KF5::KIOCore
    KF5::KIOWidgets
    KF5::KDELibs4Support
    KF5::Declarative

    Qt5::DBus
    Qt5::QuickWidgets
)

install(TARGETS kcm_mouse  DESTINATION ${KDE_INSTALL_PLUGINDIR} )

########### install files ###############

install( FILES mouse.desktop  DESTINATION  ${KDE_INSTALL_KSERVICES5DIR} )

=== kcms/touchpad/CMakeLists.txt ===
find_package(KDED ${KF5_MIN_VERSION} CONFIG REQUIRED)

add_definitions(-DTRANSLATION_DOMAIN=\"kcm_touchpad\")

set(CMAKE_MODULE_PATH
    ${CMAKE_CURRENT_SOURCE_DIR}/cmake/modules
    ${CMAKE_MODULE_PATH}
)
set(CMAKE_INCLUDE_CURRENT_DIR true)
set(TOUCHPAD_KCM_VERSION ${PROJECT_VERSION})

add_subdirectory(src)
add_subdirectory(icon)

=== doc/kcontrol/kcmsmserver/CMakeLists.txt ===
########### install files ###############
#KDE_LANG  = en
kdoctools_create_handbook(index.docbook INSTALL_DESTINATION ${KDE_INSTALL_DOCBUNDLEDIR}/en SUBDIR kcontrol/kcmsmserver)

=== kcms/kfontinst/apps/CMakeLists.txt ===
set(kfontinst_bin_SRCS ${libkfontinstjobrunner_SRCS} ${libkfontinstdbusiface_SRCS} Installer.cpp )
# qt5_add_dbus_interface(kfontinst_bin_SRCS ../dbus/org.kde.fontinst.xml FontInstInterfaceBase)

set(kfontprint_bin_SRCS ${libkfontinstactionlabel_SRCS} Printer.cpp )
set(kfontview_bin_SRCS Viewer.cpp )

add_executable(kfontinst_bin ${kfontinst_bin_SRCS})
add_executable(kfontprint_bin ${kfontprint_bin_SRCS})
add_executable(kfontview_bin ${kfontview_bin_SRCS})

set_target_properties(kfontinst_bin PROPERTIES OUTPUT_NAME kfontinst)
set_target_properties(kfontprint_bin PROPERTIES OUTPUT_NAME kfontprint)
set_target_properties(kfontview_bin PROPERTIES OUTPUT_NAME kfontview)

target_link_libraries(kfontinst_bin
    Qt5::X11Extras
    KF5::Archive
    KF5::IconThemes
    KF5::KIOCore
    KF5::KIOWidgets
    KF5::XmlGui
    ${X11_X11_LIB}
    kfontinst
)
target_link_libraries(kfontprint_bin
    Qt5::PrintSupport
    KF5::IconThemes
    ${X11_X11_LIB}
    ${FREETYPE_LIBRARIES}
    kfontinstui
    kfontinst
)
target_link_libraries(kfontview_bin KF5::Parts KF5::XmlGui KF5::DBusAddons kfontinstui kfontinst )

install(TARGETS kfontinst_bin ${KDE_INSTALL_TARGETS_DEFAULT_ARGS} )
install(TARGETS kfontprint_bin DESTINATION ${KDE_INSTALL_LIBEXECDIR} )
install(TARGETS kfontview_bin ${KDE_INSTALL_TARGETS_DEFAULT_ARGS} )
install(FILES kfontviewui.rc DESTINATION ${KDE_INSTALL_KXMLGUI5DIR}/kfontview )
install(PROGRAMS org.kde.kfontview.desktop DESTINATION ${KDE_INSTALL_APPDIR} )
install(FILES installfont.desktop DESTINATION
${KDE_INSTALL_KSERVICES5DIR}/ServiceMenus )

ecm_install_icons( ICONS
                   16-apps-kfontview.png
                   22-apps-kfontview.png
                   32-apps-kfontview.png
                   48-apps-kfontview.png
                   64-apps-kfontview.png
                   DESTINATION ${KDE_INSTALL_ICONDIR} THEME hicolor)

=== kcms/kfontinst/kio/CMakeLists.txt ===
set(kio_fonts_PART_SRCS FontInstInterface.cpp KioFonts.cpp ${libkfontinstdbusiface_SRCS})
ecm_qt_declare_logging_category(kio_fonts_PART_SRCS
    HEADER debug.h
    IDENTIFIER KCM_KFONTINST_KIO
    CATEGORY_NAME org.kde.kcm_kfontinst.kio)
# qt5_add_dbus_interface(kio_fonts_PART_SRCS ../dbus/org.kde.fontinst.xml FontinstIface)
add_library(kio_fonts MODULE ${kio_fonts_PART_SRCS} ${KFI_FONTINST_AUTH_SRC} )
target_link_libraries(kio_fonts Qt5::DBus Qt5::X11Extras Qt5::Xml KF5::Archive KF5::KIOCore KF5::KIOWidgets kfontinst )
install(TARGETS kio_fonts  DESTINATION ${KDE_INSTALL_PLUGINDIR} )
install( FILES fonts.desktop  DESTINATION  ${KDE_INSTALL_DATADIR}/konqsidebartng/virtual_folders/services )
install( FILES fonts.protocol  DESTINATION  ${KDE_INSTALL_KSERVICES5DIR} )
ecm_install_icons( ICONS
                   128-mimetypes-fonts-package.png
                   16-mimetypes-fonts-package.png
                   22-mimetypes-fonts-package.png
                   32-mimetypes-fonts-package.png
                   48-mimetypes-fonts-package.png
                   64-mimetypes-fonts-package.png
                   DESTINATION ${KDE_INSTALL_ICONDIR} THEME hicolor )
if(BUILD_TESTING)
    add_subdirectory(autotests)
endif()

=== kcms/krdb/pics/CMakeLists.txt ===
install( FILES logo.png mini-world.png  DESTINATION  ${KDE_INSTALL_DATADIR}/kcontrol/pics )

=== debian/changelog ===
plasma-desktop (4:5.14.5.2+rb2-1+eagle) unstable; urgency=medium

  * update

 -- Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>  Mon, 01 Feb 2021 16:08:34 +0800
